{ config, ... }:
let
  vars = import ../vars.nix;
  fvtt_path = "${vars.primary_games}/foundryvtt";
in
{
  virtualisation.oci-containers.containers = {
    foundryvtt = {
      image = "felddy/foundryvtt:11";
      hostname = "foundryvtt";
      environment = {
        #CONTAINER_PRESERVE_CONFIG= "true";
        TIMEZONE = "America/New_York";
        FOUNDRY_MINIFY_STATIC_FILES = "true";
      };
      environmentFiles = [ config.sops.secrets."docker/foundry".path ];
      volumes = [ "${fvtt_path}:/data" ];
      extraOptions = [
        "--network=haproxy-net"
      ];
    };
  };

  sops.secrets."docker/foundry" = {
    owner = "docker-service";
    restartUnits = [ "docker-foundryvtt.service" ];
  };
}
